//
// Base
// ======================================================

.genesis-nav-menu {
    clear: both;
    line-height: 1;
    width: 100%;

    .menu-item {
        display: block;
        float: none;
        position: relative;

        @media only screen and (min-width: $desktop) {
            display: inline-block;
        }

        &:focus,
        &:hover {
            position: relative;
        }

        &:hover > .sub-menu {
            left: auto;
            opacity: 1;
        }
    }

    a {
        color: $nav-link--color;
        display: block;
        @include rem(font-size, $genesis-nav-menu__link--font-size);
        font-weight: 400;
        outline-offset: -1px;
        padding-bottom: 12px;
        padding-top: 12px;
        text-decoration: none;

        &:focus,
        &:hover, {
            color: $nav_link--active-color;
            text-decoration: none;
        }
    }

    .sub-menu {
        clear: both;
        display: none;
        left: -9999px;
        margin: 0;
        opacity: 1;
        padding-left: 15px;
        position: static;
        width: 100%;
        z-index: 99;

        @media only screen and (min-width: $desktop) {
            border-top: 1px solid $submenu--border-color;
            opacity: 0;
            padding-left: 0;
            position: absolute;
            transition: opacity .4s ease-in-out;
        }

        a {
            background-color: $submenu--background-color;
            @include rem(font-size, $genesis-nav-menu__sub-menu-link--font-size);
            position: relative;
            word-wrap: break-word;
            width: 100%;

            @media only screen and (min-width: $desktop) {
                border: 1px solid $submenu--border-color;
                border-top: 0;
                padding-bottom: 15px;
                padding-top: 15px;
            }
        }

        .current-menu-item > a:focus,
        .current-menu-item > a:hover {
            color: $submenu--active-color;
            text-decoration: none;
        }

        .sub-menu {
            @media only screen and (min-width: $desktop) {
                margin: -46px 0 0 179px;
            }
        }
    }

    .current-menu-item {
        > a {
            color: $nav_link--active-color;
            text-decoration: none;
        }
    }

    > .menu-bold > a {
        font-weight: 700;
    }

    > .menu-highlight {
        a {
            @media only screen and (min-width: $desktop) {
                background-color: $nav-link--color;
                border-radius: 3px;
                color: $white;
                font-weight: 600;
                margin-left: 15px;
                padding-left: 20px;
                padding-right: 20px;
            }

            &:hover,
            &:focus {
                background-color: $nav_link--active-color;
            }
        }
    }
}